Webhooks
Create webhook endpoint
POST
Requires scope webhooks:write.
ApiKeyheader
AuthorizationBearer <sk_test_ or sk_live_ key>Your sk_live_ / sk_test_ API key
projectId?unknownThe project whose endpoints to manage.
application/json- body
url*stringPublic https endpoint that receives the signed POST.
Format
urievents*array<>Event types to subscribe to.
Items
1 <= itemsResponse Body
201application/json
The registered endpoint and its one-time signing secret
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
401application/json
The Authorization header is missing, malformed, or the API key is unknown or revoked
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
429application/json
The API key exceeded its request budget for the window
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
Language
curl -X POST 'https://api.pilot.shiga.io/v1/webhook-endpoints' \ -H 'Authorization: Bearer sk_test_...' \ -H 'Content-Type: application/json' \ -d '{ "url": "http://example.com", "events": [ "wallet.created" ]}'Example Response
{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "secret": "whsec_0123456789abcdef0123456789abcdef" }, "status": 201, "success": true}